Subject: [pcp] PCP DHCP/DHCPv6 options

From: <[email-masked]>
Date: Fri, 7 Jan 2011 08:25:28 +0100

Dear all,

A new updated version of the PCP DHCP/DHCPv6 options draft has be submitted. The I-D is available at: http://www.ietf.org/id/draft-bpw-pcp-dhcp-01.txt

Comments and inputs are welcome.

Cheers,
Med

*********************************
This message and any attachments (the "message") are confidential and intended solely for the addressees. 
Any unauthorised use or dissemination is prohibited.
Messages are susceptible to alteration. 
France Telecom Group shall not be liable for the message if altered, changed or falsified.
If you are not the intended addressee of this message, please cancel it immediately and inform the sender.
********************************

---

From: Maglione Roberta <[email-masked]>
Date: Tue, 11 Jan 2011 12:08:51 +0100

Hi Med,
   I read the new version of draft, it looks good with me.
I support the choice of keeping just the FQDN DHCP option, based on the conclusion reached on a similar topic for DSLite.

I have a question on the FDQN encoding:
- for DHCPv6 in section 5.1 you refer to RFC 3315 section 8 that in turn then refers to RFC1035 for the Domain Name encoding
- while for DHCPv4 in section 6 you refer to RFC2131, but actually this RFC does not explicitly specify any Domain Name encoding, it just refers to RFC 1035 in section 1.3
Would not be enough referring to RFC1035 for both DHCPv6 and DHCPv4 case?

Best regards,
Roberta

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: venerdì 7 gennaio 2011 8.25
To: [email-masked]
Subject: [pcp] PCP DHCP/DHCPv6 options

Dear all,

Cheers,
Med

Questo messaggio e i suoi allegati sono indirizzati esclusivamente alle persone indicate. La diffusione, copia o qualsiasi altra azione derivante dalla conoscenza di queste informazioni sono rigorosamente vietate. Qualora abbiate ricevuto questo documento per errore siete cortesemente pregati di darne immediata comunicazione al mittente e di provvedere alla sua distruzione, Grazie.

This e-mail and any attachments is confidential and may contain privileged information intended for the addressee(s) only. Dissemination, copying, printing or use by anybody else is unauthorised. If you are not the intended recipient, please delete this message and any attachments and advise the sender by return e-mail, Thanks.

Rispetta l'ambiente. Non stampare questa mail se non è necessario.

---

From: <[email-masked]>
Date: Tue, 11 Jan 2011 13:29:03 +0100

Dear Roberta,

Thank you for your feedback.

In the introduction, the I-D is referring to Section 3.1 of RFC1035; in particular:

"  This document defines DHCP [RFC2131] and DHCPv6 [RFC3315] options
   which can be used to provision a PCP Server [I-D.ietf-pcp-base]
   reachability information; more precisely it defines DHCP options to
   convey a FQDN (as per Section 3.1 of [RFC1035]) of a PCP Server.  In
   order to make use of these options, this document assumes that a DNS
   server is configured on the host client by DHCP or other means."

But when defining DHCPv6 option, I avoided to refer to RFC1035 but to Section 8 of RFC3315 because compression

as per Section 4.1.4 of RFC1035 is not allowed.

For the DHCP option, your comment is valid. I will replace the RFC2131 reference with RFC1035.

Please let me know if this is ok with you.

Cheers,

Med

________________________________
De : Maglione Roberta [mailto:[email-masked]]
Envoyé : mardi 11 janvier 2011 12:09
À : BOUCADAIR Mohamed OLNC/NAD/TIP
Cc : [email-masked]'
Objet : RE: PCP DHCP/DHCPv6 options

Hi Med,

Best regards,
Roberta

Dear all,

Cheers,
Med

---

From: Maglione Roberta <[email-masked]>
Date: Tue, 11 Jan 2011 14:12:35 +0100

Hi Med,
That's ok with me.
Thanks
Best regards,
Roberta

________________________________________
From: [email-masked] [mailto:[email-masked]]
Sent: martedì 11 gennaio 2011 13.29
To: Maglione Roberta
Cc: [email-masked]'
Subject: RE: PCP DHCP/DHCPv6 options

Dear Roberta,

Cheers,
Med

________________________________________

Best regards,
Roberta

________________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: venerdì 7 gennaio 2011 8.25
To: [email-masked]
Subject: [pcp] PCP DHCP/DHCPv6 options

Dear all,

Cheers,
Med